{#############################################################################
#                _         _                  _____                          #
#               | |       | |                / __  \                         #
#      ___  ___ | | _____ | |__   __ _ _ __  `' / /'                         #
#     / __|/ _ \| |/ / _ \| '_ \ / _` | '_ \   / /                           #
#     \__ \ (_) |   < (_) | |_) | (_| | | | |./ /___                         #
#     |___/\___/|_|\_\___/|_.__/ \__,_|_| |_|\_____/                         #
#                                                                            #
#  Kohn's Sokoban2                                                           #
#                                                                            #
#  Copyright (C) 2001  Norman Krebs                                          #
#                                                                            #
#    This program is free software; you can redistribute it and/or           #
#    modify it under the terms of the GNU General Public License as          #
#    published by the Free Software Foundation; either version 2 of          #
#    the License, or (at your option) any later version.                     #
#                                                                            #
#    This program is distributed in the hope that it will be useful,         #
#    but WITHOUT ANY WARRANTY; without even the implied warranty of          #
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU        #
#    General Public License for more details.                                #
#                                                                            #
#    You should have received a copy of the GNU General Public License       #
#    along with this program; if not, write to the Free Software             #
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               #
#                                                                            #
#############################################################################}
unit Unit4;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, unit1, unit3;

type
  TForm4 = class(TForm)
    Panel1: TPanel;
    Image1: TImage;
    procedure drawelement;
    procedure Image1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
  end;

var
  Form4: TForm4;
  xxx, yyy : integer;

implementation

{$R *.DFM}

procedure Tform4.drawelement;
var MyRect, MyOther : TRect;
    p, x, y, i : integer;
begin
  p:= 8;
  y:= 1;
  for i:= 0 to 7 do begin
    p:= i + 1;
    x:= i * trunc(Cstonesize.x * form3.trackbar1.position / 10);
    panel1.width:= trunc(Cstonesize.x * form3.trackbar1.position / 10) * 8 + 0;
    panel1.height:= trunc(Cstonesize.y * form3.trackbar1.position / 10) + 0;
    MyRect:= Rect((p - 1) * Cstonesize.x + p, 1, (p) * Cstonesize.x + p, Cstonesize.y + 1);
    MyOther:= Rect(x, y, x + trunc(Cstonesize.x * form3.trackbar1.position / 10), y + trunc(Cstonesize.y * form3.trackbar1.position / 10));
    form4.image1.Canvas.CopyRect(MyOther, form1.image2.Canvas, MyRect);
  end;
end;

procedure TForm4.Image1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  xxx:= x;
  yyy:= y;
end;

procedure TForm4.Image1MouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  xxx:= 0;
  yyy:= 0;
end;

procedure TForm4.Image1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  if xxx + yyy > 0 then begin
    form4.left:= form4.left - xxx + x;
    form4.top:= form4.top - yyy + y;
  end;
end;

end.
